import { request } from '/@/utils/service';

export function getOverviewData (query: any) {
  return request({
    url: '/api/index/overview/',
    method: 'get',
    params: query
  })
}

export function getDownloadData(query: any) {
  return request({
    url: '/api/index/overview-download/',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

export function getTableData (query: any) {
  return request({
    url: '/api/index/asin-average-score/',
    method: 'get',
    params: query
  })
}

export function getTableDownloadData(query: any) {
  return request({
    url: '/api/index/asin-average-score/export_data/',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

export function getChartData (query: any) {
  return request({
    url: '/api/index/average-score-chart/',
    method: 'get',
    params: query
  })
}


